View Issue Details

IDProjectCategoryView StatusLast Update
0020129LazarusPatchpublic2011-09-03 11:55
ReporterBart BroersmaAssigned ToMaxim Ganetsky 
PrioritynormalSeveritytrivialReproducibilityalways
Status closedResolutionfixed 
Platformi386OSSuse LinuxOS Version10.0
Product Version0.9.31 (SVN)Product Buildr31810 
Target VersionFixed in Version0.9.31 (SVN) 
Summary0020129: TMaskEdit: fixed two comments explaining the meaning of cMask_AlphaNum and cMask_AlphaNumFixed
DescriptionThe comments, which explain what each char does in a TMaskEdit's EditMask, got mangled by some previous patch.
TagsNo tags attached.
Fixed in Revision32159
LazTarget-
Widgetset
Attached Files
  • maskedit.fixedcomments.diff (921 bytes)
    Index: lcl/maskedit.pp
    ===================================================================
    --- lcl/maskedit.pp	(revision 31810)
    +++ lcl/maskedit.pp	(working copy)
    @@ -78,8 +78,8 @@
       cMask_LowerCase     = '<'; // after this the chars is in lower case
       cMask_Letter        = 'l'; // only a letter but not necessary
       cMask_LetterFixed   = 'L'; // only a letter
    -  cMask_AlphaNum      = 'a'; // a char from space and #122 but not necessary
    -  cMask_AlphaNumFixed = 'A'; // a char from space and #122
    +  cMask_AlphaNum      = 'a'; // an alphanumeric char (['A'..'Z','a..'z','0'..'9']) but not necessary
    +  cMask_AlphaNumFixed = 'A'; // an alpahnumeric char
       cMask_AllChars      = 'c'; // any char #32 - #255 but not necessary (needs fixing for UTF8 characters!!)
       cMask_AllCharsFixed = 'C'; // any char #32 - #255 (needs fixing for UTF8 characters!!)
       cMask_Number        = '9'; // only a number but not necessary
    

Activities

2011-09-01 18:42

 

maskedit.fixedcomments.diff (921 bytes)
Index: lcl/maskedit.pp
===================================================================
--- lcl/maskedit.pp	(revision 31810)
+++ lcl/maskedit.pp	(working copy)
@@ -78,8 +78,8 @@
   cMask_LowerCase     = '<'; // after this the chars is in lower case
   cMask_Letter        = 'l'; // only a letter but not necessary
   cMask_LetterFixed   = 'L'; // only a letter
-  cMask_AlphaNum      = 'a'; // a char from space and #122 but not necessary
-  cMask_AlphaNumFixed = 'A'; // a char from space and #122
+  cMask_AlphaNum      = 'a'; // an alphanumeric char (['A'..'Z','a..'z','0'..'9']) but not necessary
+  cMask_AlphaNumFixed = 'A'; // an alpahnumeric char
   cMask_AllChars      = 'c'; // any char #32 - #255 but not necessary (needs fixing for UTF8 characters!!)
   cMask_AllCharsFixed = 'C'; // any char #32 - #255 (needs fixing for UTF8 characters!!)
   cMask_Number        = '9'; // only a number but not necessary

Maxim Ganetsky

2011-09-02 22:29

developer   ~0051408

Applied, thanks.

Issue History

Date Modified Username Field Change
2011-09-01 18:42 Bart Broersma New Issue
2011-09-01 18:42 Bart Broersma File Added: maskedit.fixedcomments.diff
2011-09-01 18:42 Bart Broersma LazTarget => -
2011-09-02 22:29 Maxim Ganetsky Fixed in Revision => 32159
2011-09-02 22:29 Maxim Ganetsky Status new => resolved
2011-09-02 22:29 Maxim Ganetsky Fixed in Version => 0.9.31 (SVN)
2011-09-02 22:29 Maxim Ganetsky Resolution open => fixed
2011-09-02 22:29 Maxim Ganetsky Assigned To => Maxim Ganetsky
2011-09-02 22:29 Maxim Ganetsky Note Added: 0051408
2011-09-03 11:55 Bart Broersma Status resolved => closed